package cn.com.ty.lift.business.capital.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/2/18
 * @description 大修列表返回体
 */
@Data
public class CapitalRepairResponse {
    /**
     * 项目id
     */
    private Long id;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目地址
     */
    private String projectAddress;
    /**
     * 开始时间
     */
    private LocalDate startDate;
    /**
     * 竣工时间
     */
    private LocalDate endDate;
    /**
     * 逾期时间
     */
    private LocalDate overdueDate;

    /**
     * 逾期原因
     */
    private String overdueReason;

    /**
     * 逾期标识
     */
    private Integer overdueFlag;
    /**
     * 竣工单地址
     */
    private String imgUrl;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 项目状态
     */
    private String projectStatus;
    /**
     * 区域
     */
    private String regionName;
    /**
     * 区域主管
     */
    private String userName;
    /**
     * 甲方公司名称
     */
    private String companyName;
}
